Уголок новичка
   514

Не устанавливаются обновления

Пишет, что доступно 90 обновлений, но когда я начинаю вручную выборочно обновлять (например, с почтового клиента Thunderbird), то в ответ получаю:
не удалось удовлетворить зависимости:
— невозможно удовлетворить зависимость 'thunderbird>=78.5.0', необходимую для thunderbird-i18n-en-us
— невозможно удовлетворить зависимость 'thunderbird>=78.5.0', необходимую для thunderbird-i18n-ru
и далее предлагается «Редактировать сборочные файлы». В этом я, естественно, ничего не понимаю. так вот и не могу обновиться. А как быть-то?
И еще один вопрос: как мне сделать, чтобы GRUB по умолчанию не обновлялся и система даже не предлагала бы его в списке обновлений? Я где-то снимал «галочки» с GRUB обновлений, но уже не могу найти, где именно. Подскажите, пожалуйста.

10 комментариев

avatar
вручную выборочно обновлять
Противоречит принципам Rolling Release. Обновляйтесь целиком. Про GRUB- по той же ссылке абзацем ниже. IgnorePkg
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Обновляйтесь целиком
Дело в том, что Линукс — это такая загадочная (для меня, во всяком случае) вещь, когда изначально у тебя может работать прекрасно Bluetooth, а после его обновлений он возьмёт и не увидит твои устройства, которые раньше подключались без проблем (до обновления). И на вопрос в форум: «А почему так произошло?» тебе ответят что-то вроде: «Да фиг знает, у меня всё работает. Наверное, это ты что-то накосячил». А я ничего не косячил, просто обновился. И вот поэтому я лучше проигнорирую некоторые обновления (например, с принтером или тем же Блютузом), чем потом поимею кучу вопросов, на которые не получу ответов.
Как я уже писал в других темах, с Windows всё решается просто: ты звонишь в техподдержку, и тебе помогают.
0
avatar
Линукс — это такая загадочная
Линукс это простая система со своими правилами, игнорируя которые можно ее разрушить. Вот такая странность, да.

а после его обновлений он возьмёт и не увидит
Бывает, но после вызвавшего проблему с конкретным устройством обновления всегда можно откатить конкретные пакеты утилитой downgrade. Это эффективнее чем заранее не обновляться из страха возможных багов или вручную разруливать зависимости.

Наверное, это ты что-то накосячил». А я ничего не косячил, просто обновился.
Ага, «оно само». Конечно. В большинстве случаев именно ты и накосячил.

я лучше проигнорирую некоторые обновления… чем потом поимею кучу вопросов, на которые не получу ответов.
Ну вот ты проигнорировал, сделал как хотелось. И? Поимел проблемы, а теперь хочешь чтобы тебе объяснили как чинить. При этом возмущаясь тем что вникать в созданные тобой проблемы не желают, но пытаются научить как их не создавать? Ну-ну.

с Windows всё решается просто: ты звонишь в техподдержку,
Так чего вы на линуксовые форумы пишете? Звоните в Microsoft, они помогут. И с линуксом тоже. Уплочено ведь заранее, от $200 до $450. Удивляюсь я с вас…
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
И с линуксом тоже. Уплочено ведь заранее, от $200 до $450
400 долларов за техподдержку Линукса? Вы меня извините, конечно, но винда домашняя десятка стоит в розницу тысяч 8 рублей, при этом в ней ВСЁ работает: принтеры, в ней есть [пардон, в ней ПОДДЕРЖИВАЮТСЯ] программы, которых нет в Линуксе (к примеру, Фотошоп и Адоб Акробат), в ней нет кучи глюков, что я имею в Линуксе, и при этом я могу позвонить в техподдержку Майкрософт, и мне там 100% помогут с любой проблемой, а не будет говорить, что проблема в том, что это я что-то накосячил. Чувствуете разницу?
Соответственно, если в Линуксе куча проблем и глюков, если ему пока еще далеко до уровня винды, я готов заплатить за покупку лицензии той же Манджары, с тем условием, чтобы техподдержка была доступна с 9 до 18 часов, и чтобы она могла помочь решить мне ЛЮБУЮ проблему. Заплатить я готов 50% от стоимости винды. То есть где-то 4500 в рублях. Всё честно, на мой взгляд.
Последний раз редактировалось
0
avatar
— невозможно удовлетворить зависимость 'thunderbird>=78.5.0', необходимую для thunderbird-i18n-en-us
— невозможно удовлетворить зависимость 'thunderbird>=78.5.0', необходимую для thunderbird-i18n-ru
Вариантов три:
  1. Подождать пока в репах огбновятся и громоптица и ее локализации. Вообще это очень забавный момент «стабилизации» manjaro — аппликуха и ее плагины стабильно оказываются разных версий. Мейнтейнеров не заботит. Ситуация с hplip и его плагином, например, длится годами. Письма на эту тему были проигнорированы.
  2. Сменить ветку обновлений на testing.
  3. Снести локализации и рулить ими средствами самой громоптицы.
И еще один вопрос: как мне сделать, чтобы GRUB по умолчанию не обновлялся
Можно поинтересоваться зачем?
Последний раз редактировалось
0
avatar
И еще один вопрос: как мне сделать, чтобы GRUB по умолчанию не обновлялся
Можно поинтересоваться зачем?
О, это моя давняя проблема. У меня на ноутбуке есть такая вещь как Intel RST. У меня 2 диска: SSD, на котором винда и HDD, на котором Линукс. Если я в БИОСе включаю одни параметры (я это описывал в прошлых темах своих), то винда не загружается, начинаются сбои. Если я выключаю эти параметры, то Линукс грузится, но GRUB пропадает (сразу загружается Линукс), и выбора ОС у меня просто нет. Типа, один Линукс установлен, и всё.
Соответственно, зачем мне такие «танцы с бубном»? Что нового может быть в обновлении GRUB? Мне проще его оставить таким, какой он есть, нежели иметь проблемы со всем этим делом.
0
avatar
Откройте для себя вкладку «Дополнительно» в настройках пакетного менеджера.
Список «Игнорируемые пакеты». Добавить в список GRUB.
И готовьтесь к тому что игнор обновлений загрузчика рано или поздно приведет к отказу.
Если Вам так проще…
Что нового может быть в обновлении GRUB?
:)
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
А зачем держать RST включенным? И нафига вообще в биосе ноутбука всунуто ПО для RAID??? Это какой-то кастомный или тестовый аппарат? Можно моделью поинтересоваться?
+1
avatar
Можно моделью поинтересоваться?
Без проблем.
Lenovo Legion Y520
0
avatar
У меня такая же проблема, решается просто. Сперва обновляется thunderbird затем его языковые пакеты.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.